%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	The libglade library for loading user interfaces.
Name:		libglade
Version:	2.6.4
Release:	6
License:	LGPL
URL:		http://www.gnome.org
Group:		System/Libraries
Source0:	libglade-2.6.4.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=121025
Patch1:		libglade-2.0.1-nowarning.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Manual build dependencies
BuildRequires: gettext-devel
BuildRequires: xcb-util-devel
BuildRequires: expat-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: python%{PVER}-devel
BuildRequires: zlib-devel

%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package	devel
Summary:	The files needed for libglade application development.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	python%{PVER}
Requires:	libxml2-devel
Requires:	libxml2-python%{PVER}
Requires:	gtk2+-devel

%description	devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .nowarning

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%configure \
--disable-gtk-doc \
PYTHON=/usr/bin/%{__python}
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/libglade-2.0.so.*
%{_datadir}/xml/libglade/glade-2.0.dtd

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%{_bindir}/libglade-convert
%{_includedir}/libglade-2.0/glade
%{_libdir}/libglade-2.0.a
%{_libdir}/libglade-2.0.la
%{_libdir}/libglade-2.0.so
%{_pkgconfig}/libglade-2.0.pc
%{_datadir}/gtk-doc/html/libglade

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.4-6
- rebuilt
* Fri Oct 30 2009 Christian Wasem <wasem@ccux-linux.de> 2.6.4-5
- added libxml2-python26 as requires in devel package
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.6.4-4
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 2.6.4-3
- rebuild against python25-2.5.4-3
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 2.6.4-2
- rebuilt with explicit /usr/bin/python2.5
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.6.4-1
- Version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.2-1
- Version update
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.6.0-1
- Version update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 2.5.1-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.5.1-1
- Version Update to 2.5.1
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.5.0-1
- Version Update to 2.5.0
